﻿using Polly;
using Polly.Retry;
using Polly.Timeout;
using System;

namespace TestingPolly_MockingAndNoOp
{
    class Program
    {
        static void Main(string[] args)
        {

            ISyncPolicy retryIfException = Policy.Handle<TimeoutRejectedException>()
                .Retry(4);

            BusinessLogic c = new BusinessLogic(retryIfException, new ErrorProneCode());
        }
    }
}
