﻿using Polly;
using Polly.Timeout;
using System;
using System.Collections.Generic;
using System.Text;

namespace TestingPolly_MockingAndNoOp
{
    public class BusinessLogic
    {
        private readonly ISyncPolicy _policy;
        private readonly IErrorProneCode _epc;

        public BusinessLogic(ISyncPolicy policy, IErrorProneCode epc)
        {
            _policy = policy;
            _epc = epc;
        }

        public int CallSomeSlowBadCode()
        {
            try
            {
                return _policy.Execute(() => _epc.GetSomeNumber());
            }
            catch (TimeoutRejectedException ex)
            {
                return 999;
            }
        }
    }
}
