﻿using Polly;

namespace TestingPolly_MockingAndNoOp
{
    public class OtherBusinessLogic
    {
        private readonly ISyncPolicy<int> _policy;
        private readonly IErrorProneCode _epc;

        public OtherBusinessLogic(ISyncPolicy<int> policy, IErrorProneCode epc)
        {
            _policy = policy;
            _epc = epc;
        }

        public int CallSomeCodeThatNeedsToBeRetried()
        {
            return _policy.Execute(() => _epc.GetSomeNumber());
        }
    }
}
